Bug 494378 - Teach rhn-delete-package-internal to flush packages from the CDN
Teach rhn-delete-package-internal to flush packages from the CDN
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
RHN Stable
All Linux
low Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Red Hat Network Quality Assurance
:
Depends On:
Blocks: rhn-sprint22
  Show dependency treegraph
 
Reported: 2009-04-06 12:35 EDT by James Bowes
Modified: 2013-01-10 05:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 09:25:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2009-04-06 12:35:50 EDT
Normally we wouldn't care about having the CDN flush its cache when an rpm is deleted from RHN; nobody would try and download it, and evetually it would expire on its own. This is not the case when we move packages from a beta channel to live, as the package may stay the same, but will be resigned with the 'real' key; the package name stays the same, but the checksum is different. For this case, we must force a cache flush.
Comment 3 Denise Hughes 2009-05-01 13:00:46 EDT
Could not purge a package after deleting the package(package renamed to .recycle).  For large numbers of packages that are already recycled, it will do 5 of them, commit that to the db, then skip on the rest.
Comment 4 Denise Hughes 2009-05-01 14:58:57 EDT
Verified on dev.

Verified deleted and purged packages.  Verified akamai origin requests.

   1.
      72.246.36.13 - - [01/May/2009:13:36:56 -0400] "GET /rhn/public/NULL/zsh-html/4.2.6-1/s390x/zsh-html-4.2.6-1.s390x.rpm HTTP/1.1" 206 1 "https://rhn.redhat.com/rhn/software/packages/details/Overview.do?pid=394411" "Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.10) Gecko/2009042315 Firefox/3.0.10" "session=-" "process=8811 completion=- time=0"
   2.
      72.246.36.13 - - [01/May/2009:13:36:57 -0400] "GET /rhn/public/NULL/zsh-html/4.2.6-1/s390x/zsh-html-4.2.6-1.s390x.rpm HTTP/1.1" 200 380896 "https://rhn.redhat.com/rhn/software/packages/details/Overview.do?pid=394411" "Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.10) Gecko/2009042315 Firefox/3.0.10" "session=-" "process=22845 completion=- time=1"Verified on dev.
   3.
      72.246.36.13 - - [01/May/2009:13:43:12 -0400] "GET /rhn/public/NULL/zsh-html/4.2.6-1/s390x/zsh-html-4.2.6-1.s390x.rpm HTTP/1.1" 206 1 "https://rhn.redhat.com/rhn/software/packages/details/Overview.do?pid=394411" "Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.10) Gecko/2009042315 Firefox/3.0.10" "session=-" "process=8791 completion=- time=0"
   4.
      72.246.36.13 - - [01/May/2009:13:43:13 -0400] "GET /rhn/public/NULL/zsh-html/4.2.6-1/s390x/zsh-html-4.2.6-1.s390x.rpm HTTP/1.1" 200 380896 "https://rhn.redhat.com/rhn/software/packages/details/Overview.do?pid=394411" "Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.10) Gecko/2009042315 Firefox/3.0.10" "session=-" "process=3072 completion=- time=1"
Comment 5 Denise Hughes 2009-05-18 09:25:25 EDT
Pushed to prod on 5/15/09.

Note You need to log in before you can comment on or make changes to this bug.